slepc-3.10.1 2018-10-23
Report Typos and Errors

# PEPMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPMonitorSetFromOptions(PEP pep,const char name[],const char help[],const char manual[],PetscErrorCode (*monitor)(PEP,PetscInt,PetscInt,PetscScalar*,PetscScalar*,PetscReal*,PetscInt,PetscViewerAndFormat*),PetscBool trackall)

Collective on PEP

### Input Parameters

| pep | - the polynomial eigensolver context
| name | - the monitor option name
| help | - message indicating what monitoring is done
| manual | - manual page for the monitor
| monitor | - the monitor function, whose context is a PetscViewerAndFormat
| trackall | - whether this monitor tracks all eigenvalues or not

### See Also

PEPMonitorSet(), PEPSetTrackAll(), PEPConvMonitorSetFromOptions()

Location: src/pep/interface/pepopts.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages